# Page Layouts Page Layouts ## Gets all of the page layouts in the system. - [GET /pageLayouts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/listpagelayouts.md): This method will scan all page layouts and and return them to the caller. ## Creates a new page layout record that does not already exist. - [POST /pageLayouts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/createpagelayout.md): This method will auto-generate an ID and create a new page layout. If an ID is specified for the page layout, an error will be thrown. ## Execute Batch Operations - [POST /pageLayouts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the page layouts for a particular service - [GET /pageLayouts/{tenantId}/service/{serviceName}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/listpagelayoutsbyservice.md): This method will scan all page layouts for a service and return them to the caller ## Returns a page layout from the system by its ID. - [DELETE /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/deletepagelayout.md): This method will delete a page layout with the specified ID. ## Returns a page layout from the system by its ID. - [GET /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/getpagelayout.md): This method will look up a page layout by the specified ID and return it back. ## Partially updates a page layout with the specified ID. - [PATCH /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/patchpagelayout.md): This method will patch an existing page layout with the specified ID, using the HTTP PATCH specification. ## Updates a page layout with the specified ID. - [PUT /pageLayouts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/page-layouts/updatepagelayout.md): This method will update an existing page layout with the specified ID.